import React from "react";

const DropdownUF = ({ value, onChange }) => {
  const ufs = [
    "AC", "AL", "AP", "AM", "BA", "CE", "DF", "ES", "GO", "MA", "MT", 
    "MS", "MG", "PA", "PB", "PR", "PE", "PI", "RJ", "RN", "RS", "RO", 
    "RR", "SC", "SP", "SE", "TO"
  ];

  return (
    <div className="w-1/4">
      <label className="block text-sm font-semibold text-gray-700 mb-1">Estado</label>
      <select
        className="w-full p-4 border border-gray-300 rounded-md focus:outline-none focus:ring-2 focus:ring-black"
        value={value} 
        onChange={onChange} 
        required
      >
        <option value="" disabled>UF</option>
        {ufs.map((uf) => (
          <option key={uf} value={uf}>
            {uf}
          </option>
        ))}
      </select>
    </div>
  );
};

export default DropdownUF;
