"use client";

import { useState } from "react";
import DropdownUF from "./DropdownUF";
import Link from "next/link";
import axios from  "axios";

export default function Formulario() {
  const [selectedUF, setSelectedUF] = useState("");
  const [nome, setNome] = useState("");
  const [email, setEmail] = useState("");
  const [senha, setSenha] = useState("");
  const [confirmarSenha, setConfirmarSenha] = useState("");
  const [cidade, setCidade] = useState("");
  const handleUFChange = (e) => {
    setSelectedUF(e.target.value);
  };
  const handleSubmit = async(e) =>{
    e.preventDefault();

    if(senha != confirmarSenha){
      alert("Senha esta Incorreta");
      return;
    }
    const payload = {
      nome, email, senha, cidade,
      uf:selectedUF
    };
    try{
      const response = await axios.put("http://localhost:8080/db_hmg_devolucao_rapida/api/usuarios/cadastro", payload,{
        headers:{
          "Content-Type" : "application/json"
        },
      });

     alert("Usuário cadastrado com sucesso!");
      console.log(response.data);
    } catch (error) {
      console.error("Erro ao cadastrar usuário:", error);
      alert("Erro ao cadastrar usuário!");
    }
  };
  return (
    <div className="flex items-center justify-center min-h-screen bg-hero-pattern bg-cover bg-center">
      <div className="flex w-[70%] h-auto shadow-lg rounded-xl overflow-hidden">
        <div className="w-1/2 bg-gray-100 flex flex-col justify-between p-8">
          <div className="flex-grow flex items-center justify-center">
            <img src="../img/logo_claro.svg" alt="Claro" className="w-40" />
          </div>
          <div className="flex flex-col items-center mt-auto">
            <img src="../img/logo_tcia_black.svg" alt="TCIA" className="mb-2 w-12" />
            <span className="text-sm text-gray-500">2025</span>
          </div>
        </div>

        <div className="w-1/2 bg-white p-12 flex flex-col justify-start">
          <h1 className="text-2xl font-bold mb-2">Criar Conta</h1>
          <p className="text-gray-600 mb-6">Cadastre-se para acessar o sistema</p>

          <div className="flex justify-between mb-8">
            <button className="flex flex-col items-center gap-2 border border-black px-6 py-4 rounded-md hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-black">
              <img src="../img/icone_loja.svg" alt="Loja Própria" className="w-6 h-6" />
              Loja Própria
            </button>
            <button className="flex flex-col items-center gap-2 border border-black px-6 py-4 rounded-md hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-black">
              <img src="../img/icone_agente.svg" alt="Agente Autorizado" className="w-6 h-6" />
              Agente Autorizado
            </button>
            <button className="flex flex-col items-center gap-2 border border-black px-6 py-4 rounded-md hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-black">
              <img src="../img/icone_motoboy.svg" alt="Motoboy" className="w-6 h-6" />
              Motoboy
            </button>
          </div>

          <form className="space-y-4" onSubmit={handleSubmit}>
            <div>
              <label className="block text-sm font-semibold text-gray-700 mb-1">
                Nome Completo
              </label>
              <input
                type="text"
                placeholder="Digite o Nome Completo"
                className="w-full p-3 border border-gray-300 rounded-md focus:outline-none focus:ring-2 focus:ring-black"
                value={nome}
                onChange={(e) => setNome(e.target.value)}
              />
            </div>
            <div>
              <label className="block text-sm font-semibold text-gray-700 mb-1">
                E-Mail
              </label>
              <input
                type="email"
                placeholder="Digite o E-Mail"
                className="w-full p-3 border border-gray-300 rounded-md focus:outline-none focus:ring-2 focus:ring-black"
                value={email}
                onChange={(e) => setEmail(e.target.value)}
              />
            </div>
            <div>
              <label className="block text-sm font-semibold text-gray-700 mb-1">
                Senha
              </label>
              <input
                type="password"
                placeholder="Senha"
                className="w-full p-3 border border-gray-300 rounded-md focus:outline-none focus:ring-2 focus:ring-black"
                value={senha}
                onChange={(e) => setSenha(e.target.value)}
              />
            </div>
            <div>
              <label className="block text-sm font-semibold text-gray-700 mb-1">
                Confirme a Senha
              </label>
              <input
                type="password"
                placeholder="Confirme a Senha"
                className="w-full p-3 border border-gray-300 rounded-md focus:outline-none focus:ring-2 focus:ring-black"
                value={confirmarSenha}
                onChange={(e) => setConfirmarSenha(e.target.value)}
              />
            </div>
            <div className="flex gap-4">
              <div className="w-1/2">
                <label className="block text-sm font-semibold text-gray-700 mb-1">
                  Cidade
                </label>
                <input
                  type="text"
                  placeholder="Cidade"
                  className="w-full p-3 border border-gray-300 rounded-md focus:outline-none focus:ring-2 focus:ring-black"
                  value={cidade}
                  onChange={(e) => setCidade(e.target.value)}
                />
              </div>
              <DropdownUF value={selectedUF} onChange={handleUFChange}></DropdownUF>
            </div>
            <button className="w-full bg-black text-white py-3 rounded-md hover:bg-gray-800">
              Criar Conta
            </button>
          </form>

          <Link
            href="/login"
            className="block text-center text-blue-500 mt-4 hover:underline"
          >
            Já possui cadastro? Volte para Login
          </Link>
        </div>
      </div>
    </div>
  );
}
