"use client";

import { useEffect, useState } from "react";
import styles from "./Devolucoes.module.css";

export default function HomePage() {
  const [token, setToken] = useState<string | null>(null);

  useEffect(() => {
    const storedToken = localStorage.getItem("token");
    if (!storedToken) {
      window.location.href = "/login";
    } else {
      setToken(storedToken);
    }
  }, []);

  if (!token) {
    return null;
  }

  return (
    <div className={styles.container}>
      <h1 className={styles.text}>Bem-vindo à Home!</h1>
      <button
        className={styles.button}
        onClick={() => {
          localStorage.removeItem("token");
          window.location.href = "/login";
        }}
      >
        Sair
      </button>
    </div>
  );
}
