import type { Metadata } from "next";
import localFont from "next/font/local";
import "./globals.css";

const geistSans = localFont({
  src: "./fonts/GeistVF.woff",
  variable: "--font-geist-sans",
  weight: "100 900",
});
const geistMono = localFont({
  src: "./fonts/GeistMonoVF.woff",
  variable: "--font-geist-mono",
  weight: "100 900",
});
const interSans = localFont({
  src: "./fonts/Inter_28pt-Light.ttf",
  variable: "--font-inter-sans",
  weight: "500",
});
const interMono = localFont({
  src: "./fonts/Inter_28pt-Medium.ttf",
  variable: "--font-inter-mono",
  weight: "800",
});

export const metadata: Metadata = {
  title: "Devolução Rápida",
  description: "Devolução rápida",
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
})  {
  return (
    <html
      lang="pt-BR"
      className={`${geistSans.variable} ${geistMono.variable}`}
    >
      <body
        className="min-h-screen bg-cover bg-center"
        style={{
          backgroundImage: "url('/bg_claro.svg')",
        }}
      >
        {children}
      </body>
    </html>
  );
}
