import axios from "axios";

const api = axios.create({
  baseURL: "http://localhost:8080/db_hmg_devolucao_rapida/",
  timeout: 10000,
  headers: {
    "Content-Type": "application/json",
  },
  withCredentials: true,
});

api.interceptors.request.use((config) => {
  const token = localStorage.getItem("token");

  if (token && !config.url?.includes("/db_hmg_devolucao_rapida/autenticacao/login")) {
    config.headers.Authorization = `Bearer ${token}`;
  }

  return config;
});
api.interceptors.response.use(
  (response) => response, 
  (error) => {
    console.error("Erro na requisição:", error.response || error);
    return Promise.reject(error); 
  }
);

export default api;
